## Next Views Entity Reference

## CONTENTS OF THIS FILE
 * Introduction
 * Requirements
 * Installation
 * Usage
 * Notes

## INTRODUCTION
This module provides a navigation block to more between nodes
that have some relationship such as a common taxonomy term. 
It can provide a table of contents link via a block and
the navigation sequencing is based on an entity reference view.
The latter allows sequences based on other attributes such
as a weight field or taxonomy term. 

The entity reference views can extract information from the 
nodes involved as well as other details like the arguments
in the URL used to view the node. This allows different
navigation information to be presented based on the URL. 

For example, if a node can contain multiple taxonomy terms
that are used for group nodes then the node can be presented
with a different table of contents and next/prior links 
based on the desired term that could be specified in the
URL. A typical example is an article node that is tagged
to appear in multiple digital issues. 

The Next Views Entity Reference navigation block can be
placed in more than one location if desired. Each has its
own settings. 

A block with all the options available will present a table
of contents at the top, this typically a node title with a
link to the nod. There will be two prior/next arrows below
this and the linked node titles to the right. 

Users can navigate to the next or prior nodes in the sequence
by clicking on the arrows icons or the node titles. 

The block looks to find the ID of the current node in
the list of IDs provided by the view. The next and
prior nodes are found by taking the IDs before and after
the one for the current node. 

## REQUIREMENTS
This module requires the Views module in the Drupal core. 
It also uses Twig Tweak to render the table of contents block.

https://www.drupal.org/project/twig_tweak


## INSTALLATION
Install the module as you would normally install a contributed
Drupal module. Visit https://www.drupal.org/node/1897420 for further
information.

## Usage
Create an entity reference view and optionally a block view for
the table of contents. 

Place an instance in the Next Views Entity Refence block in
the desired location. This is usally at the top of the Content 
section for the page layout. 

Select the views and adjust the other settings. Note, the
text fields can contain HTML so characters like & and <> 
will not be displayed as text but rather interpreted at
presentation time. Also note that the at-sign (@) is used
for the substitution of a node title. 


## Notes
An example module is provided that highlights how tags and URL 
arguments can be used with this module to provide a navigation 
block based on the URL rather than something inherent to an
entity view and the nodes involved. 

The presentation can be customized using CSS or by modifying
or changing the TWIG file used for rendering the block. 

The Twig Tweak module is only used to generate the 
table of contents block.
